* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', Arial, Helvetica, sans-serif;
}

/* GENERAL */

*[data-hidden] {
    display: none;
}

*.hidden {
    display: none !important;
}

::selection {
    background-color: #e1ecdf7c;
}

.material-symbols-outlined::selection {
    background-color: transparent;
}

:root {
    --primary: #609060;
    --secondary: #B59F66;
    --accent: #E1ECDF;
    --text-color: #222222;
    --text-green: #1B291B;
    --text-white: #EAEAEA;

    /* SIZES */

    --text-size: 16px;
    --hero-size: 130px;
    --heading-size: 62px;
    --small-heading-size: 26px;
}

body {
    width: 100%;
    min-height: 100vh;
    background: rgb(185,206,149);
    background: linear-gradient(135deg, rgba(185,206,149,1) 0%, rgba(222,231,208,1) 100%);
    overflow-x: hidden;
}

section {
    
    width: 100%;
    padding: 0 7%;

}

h1 {
    font-size: var(--hero-size);
    color: var(--text-green);
    line-height: 1.3em;
}

h1 span {
    font-family: "PT Serif";
    font-size: 140px;
    font-style: italic;
    color: var(--secondary);
    font-weight: normal;
}

h2 {
    font-size: var(--heading-size);
    color: var(--text-green);
    font-style: italic;

}

h2 span {
    font-family: "PT Serif";
    font-size: 64px;
    font-style: italic;
    color: var(--secondary);
    font-weight: bold;
}

h3 {
    font-size: var(--small-heading-size);
}

p {
    font-size: var(--text-size);
    color: var(--text-color);
}


button {
    height: 60px;
    padding: 19px 63px;
    background-color: var(--primary);
    color: var(--text-white);
    font-size: var(--text-size);
    border-radius: 60px;
    outline: none;
    border: none;
    font-weight: 600;
    cursor: pointer;
    transition: .2s;
}

button:hover {
    background-color: rgb(126, 162, 126);
    /* color: var(--text-color); */
}


.circle {
    position: absolute;
    width: 473px;
}

.circle.medium-circle {
    width: 359px;
}

.circle.huge-circle {
    width: 566px;
}

/* NAV */

nav {
    position: fixed;
    width: 86%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 29px 7% 0 7%;
    padding: 15px 33px;
    background-color: #e8e8e895;
    backdrop-filter: blur(30px);
    border-radius: 35px;
    z-index: 1000;
}

nav ul {
    display: flex;
    list-style: none;
    justify-content: space-between;
    gap: 72px;
}

nav ul a {
    position: relative;
    cursor: pointer;
    color: var(--text-color);
    text-decoration: none;
    transition: .2s;
}

nav ul a:hover {
    color: var(--primary);

}

nav ul a.active::after {
    content: "";
    width: 30px;
    height: 3px;
    border-radius: 2px;
    background-color: var(--primary);
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
}

img.logo {
    height: 60px;
}

/* HERO */

section.hero {
    padding-top: 100px;
    text-align: center;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 40px;
    overflow-x: hidden;

}

section.hero .normal-circle {
    top: 50%;
    left: 0%;
    transform: translateX(-50%);
}

section.hero .medium-circle {
    top: 15%;
    left: 0;
    transform: translateX(-50%);

}

section.hero .huge-circle {
    right: 0% !important;
    bottom: 5%;
    transform: translateX(50%);
}

/* PROJECTS (BENTO GRID) */

section.projects {
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-bottom: 163px;
}

section.projects .bento-grid {
    width: 90%;
    height: 700px;
    display: grid;
    grid-template-columns: 1fr 1.3fr;
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 27px;
    grid-row-gap: 34px;

}

section.projects .bento-grid div {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 15px;
    border-radius: 45px;
    padding: 45px 40px;
    cursor: pointer;
    transition: .2s;
    overflow: hidden;
}

section.projects .bento-grid div * {
    z-index: 150;
}

section.projects .bento-grid div img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: 100;
    transition: .8s;
    object-fit: cover;
}

section.projects .bento-grid div:hover img{
    scale: 1.05;
    transform: translate(-45%, -50%);
}

section.projects .bento-grid div * {
    color: var(--text-white);
}

section.projects .bento-grid div h2 {
    font-size: 52px;
    font-style: normal;
}



section.projects .bento-grid .small-1 {
    grid-area: 1 / 1 / 2 / 2; 
    background-size: 130%;
    transition: .2s;
}

section.projects .bento-grid .small-2 {
    grid-area: 2 / 1 / 3 / 2; 
}

section.projects .bento-grid .big {
    padding: 84px 73px;
    grid-area: 1 / 2 / 3 / 3; 
}

/* QUOTE */

section.quote {
    padding-top: 148px;
    border-top: 1px solid var(--text-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 220px;
}

section.quote p {
    max-width: 36%;
}


section.sbs {
    position: relative;
    display: flex;
    gap: 127px;
    align-items: center;
    width: 95%;
    padding-bottom: 200px;
}

section.sbs img.main {
    height: 36%;
    width: 36%;
}

section.sbs .content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 48px;
    padding-bottom: 70px;
}

section.sbs .circle {
    right: 0;
}

section.sbs .huge-circle {
    top: -25%;
    transform: translateX(70%);
    object-fit: cover;
}

section.sbs .medium-circle {
    top: 30%;
    transform: translateX(70%);
}


/* STEPS */

section.steps {
    display: flex;
    flex-direction: column;
    gap: 114px;
    align-items: center;
    padding-bottom: 311px;
}

section.steps h2 {
    text-align: center;
}

section.steps .steps-content {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

section.steps .steps-content .step {
    padding: 0 35px;
    display: flex;
    align-items: center;
    gap: 25px;
    width: 430px;
    height: 221px;
    border-radius: 47px;
    background: rgb(185,206,149);
    background: linear-gradient(135deg, rgba(222,231,208,1)  0%, rgba(185,206,149,1) 100%);
    box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.25);
}

section.steps .steps-content .step h2 {
    font-family: "PT Serif";
    color: var(--text-white);
    font-size: 52px;
    width: 80px;
    height: 80px;
    border-radius: 100px;
    line-height: 80px;
    background-color: var(--secondary);
}

section.steps .steps-content .step h3 {
    font-size: 24px;
    font-weight: 500;
}

section.contact-us {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 68px;
    padding-bottom: 320px;
}

section.contact-us .huge-circle {
    left: 0;
    top: -55%;
    transform: translateX(-50%) scale(1.2);
}

section.contact-us .medium-circle {
    right: 0;
    transform: translateX(50%);
    top: -40%;
}

/* service HERO */


section.service-hero {
    margin-bottom: 182px;
}

section.hero.service-hero .circle {
    top: 7%;
}

/* SLIDER SECTION */

section.slider {
    padding-bottom: 211px;
    border-bottom: 1px solid var(--text-color);
}

section.slider .wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    height: 80vh;
    background-color: lightgray;
    border-radius: 55px;
    overflow: hidden;
}

section.slider .wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 1;
    transition: .3s;
}

section.slider .wrapper img.inChange {
    opacity: 0;
}

section.slider .wrapper span.material-symbols-outlined {
    color: var(--text-white);
    font-size: 52px;

}

section.slider .arrow {
    position: absolute;
    top: 0;
    height: 100%;
    width: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .2s;
    cursor: pointer;
    z-index: 1000;

}

section.slider .left-arrow {
    left: 0;
}

section.slider .right-arrow {
    right: 0;
}


section.slider .arrow:hover {
    background-color: #e1ecdf57;

}

/* TITLE SECTION service */

section.title-section {
    position: relative;
    padding-top: 143px;
    padding-bottom: 241px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

}

section.title-section .circle {
    right: 0;
    top: 0;
    transform: translateX(50%);
}

section.sbs.service-sbs {
    position: relative;
    padding-left: 40px;
    align-items: flex-start;
}

section.sbs.service-sbs  img.main {
    width: 45%;
    height: 100%;
    object-fit: cover;
}

section.sbs.service-sbs h3 {
    font-size: 42px;
}

.list{
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: flex-start;
    justify-content: flex-start;
}

.list .list-el {
    display: flex;
    gap: 15px;
    align-items: center;
}

.list .list-el p {
    font-size: 22px;
    font-weight: 600;
}

/* SECTION TESTIMONIALS */

section.title-section.testimonial {
    padding-top: 0px;
    padding-bottom: 0px;
}


section.testimonials {
    width: 100%;
    overflow-x: auto; 
    white-space: nowrap; 
    box-sizing: border-box;
    padding: 177px 0; 
    scroll-snap-type: x mandatory;
    scroll-padding: 0 240px;
    -ms-overflow-style: none;
    scrollbar-width: none;

}

section.testimonials::-webkit-scrollbar {
    display: none;
}

section.testimonials .testimonials-wrapper {
    display: inline-block;
}

section.testimonials .element:nth-child(1) {
    margin-left: 5%;
}

section.testimonials .element {
    position: relative;
    scroll-snap-align: start;
    display: inline-block;
    margin-right: 85px;
    width: 714px;
    height: 385px;
    background: rgb(185,206,149);
    background: linear-gradient(135deg, rgba(222,231,208,1)  0%, rgba(185,206,149,1) 100%);
    box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.25);
    border-radius: 47px;

}

section.testimonials .element .content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 41px 46px;
    gap: 57px;
}

section.testimonials .element .content .person-details {
    display: flex;
    align-items: center;
    gap: 25px;

}

section.testimonials .element .content .person-details img {
    width: 78px;
}

section.testimonials .element .content .person-details h3 {
    font-weight: 600;
}

section.testimonials .element .content h3.opinion {
    font-style: italic;
    white-space: wrap;

}




/* ABOUT US */

section.about-us-img {
    width: 100%;
    position: relative;
    margin-top: 180px;
}

section.about-us-img img {
    width: 70%;
}


section.about-us-sbs {
    width: 100%;
    position: relative;
    margin-top: 168px;
    padding-left: 0px;
}

section.about-us-sbs img {
    width: 50% !important;
}

section.about-us-sbs.cl {
    padding-left: 8%;
    padding-right: 0;
}

section.about-us-sbs.cl img {
    width: 55% !important;
    margin-right: -10%;

}

/* CONTACT */

section.contact-section {
    padding-top: 230px;
    position: relative;
    min-height: 100vh;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding-bottom: 150px;
}

section.contact-section .huge-circle {
    top: 0;
    left: 0;
    transform: translate(-50%, -50%) scale(1.2);
    
}

section.contact-section img {
    height: 568px;
}

section.contact-section a {
    color: var(--text-color);
    text-decoration: none;
    font-weight: 500;
    font-size: var(--text-size);
}

section.contact-section form {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: flex-end;
}

input, textarea, select {
    font-size: 18px;
    padding: 18px 38px;
    border-radius: 39px;
    outline: none;
    resize: none;
    width: 500px;
    border: none;
    background-color: var(--accent);

}

textarea {
    min-height: 200px;
}

/* BOOKING SECTION */

section.booking {
    position: relative;
    display: flex;
    justify-content: space-between;
    min-height: 100vh;

}

section.booking form {
    position: relative;
    width: 58%;
    flex-basis: 58%;
}

section.booking form .field-group {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    gap: 25px;
    flex-wrap: wrap;
}

section.booking form .field-group input, section.booking form .field-group select {
    width: 48%;
}


section.booking form .field-group textarea {
    width: 100%;
}

section.booking .booking-summary {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

section.booking .booking-summary h2 {
    font-size: 42px;
}

section.booking .booking-summary h2 span {
    color: inherit;
    font-size: inherit;
    font-family: inherit;
}   


/* FOOTER */

footer {
    width: 100%;
    padding: 70px 8%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid var(--text-color);
}




 